Bug 760270 - Review Request: lv2-avw-plugins - LV2 port of the Alsa Modular Synth modules
Summary: Review Request: lv2-avw-plugins - LV2 port of the Alsa Modular Synth modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-05 18:11 UTC by Brendan Jones
Modified: 2012-02-10 21:53 UTC (History)
4 users (show)

Fixed In Version: lv2-avw-plugins-0.0.6-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-10 21:53:44 UTC
Type: ---
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brendan Jones 2011-12-05 18:11:38 UTC
lv2-ams-plugins -A port of the Alsa Modular Synth internal modules to LV2

Upstream has been made aware of the FSF address warning 

SPEC: http://bsjones.fedorapeople.org/lv2-avw-plugins.spec
SRPM: http://bsjones.fedorapeople.org/lv2-avw-plugins-0.0.5-1.fc16.src.rpm

rpmlint /home/bsjones/rpmbuild/SRPMS/lv2-avw-plugins-0.0.5* /home/bsjones/rpmbuild/RPMS/x86_64/lv2-avw-plugins-*0.0.5*
lv2-avw-plugins.x86_64: E: incorrect-fsf-address /usr/share/doc/lv2-avw-plugins-0.0.5/COPYING
3 packages and 0 specfiles checked; 1 errors, 0 warnings.

Comment 1 Terje Røsten 2011-12-07 17:47:07 UTC
Could you add a bit more to description? I have no idea what LV2 is :-)

Comment 2 Brendan Jones 2011-12-07 18:18:32 UTC
LV2 is basically analogous to the windows VST plugin framework developed by Steinberg, albeit much more advanced in many ways. LV2 plugins are used in many audio / pro-audio host software applications such as Ardour and QTractor, lv2rack and the like.

From http://lv2plug.in/trac/

LV2 is a plugin standard for audio systems. It defines a minimal yet extensible C API for plugin code and a format for plugin "bundles".

LV2 is a successor of  LADSPA that aims to remain simple yet adds extensibility which enables more advanced plugin functionality (e.g. MIDI or graphical interfaces). 

From yum info lv2core:

Name        : lv2core
Arch        : x86_64
Version     : 4.0
Release     : 3.fc16
Size        : 50 k
Repo        : installed
From repo   : fedora
Summary     : Audio Plugin Standard
URL         : http://lv2plug.in
License     : LGPLv2+ and MIT
Description : LV2 is a standard for plugins and matching host applications, mainly
            : targeted at audio processing and generation.
            : 
            : There are a large number of open source and free software synthesis
            : packages in use or development at this time. This API ('LV2') attempts
            : to give programmers the ability to write simple 'plugin' audio
            : processors in C/C++ and link them dynamically ('plug') into a range of
            : these packages ('hosts').  It should be possible for any host and any
            : plugin to communicate completely through this interface.
            : 
            : LV2 is a successor to LADSPA, created to address the limitations of
            : LADSPA which many hosts have outgrown.

Comment 3 Peter Lemenkov 2012-01-06 14:15:06 UTC
I'll review this one.

Comment 4 Peter Lemenkov 2012-01-06 14:30:26 UTC
Failed to build in Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3624818

Comment 6 Peter Lemenkov 2012-01-06 15:55:00 UTC
Koji scratchbuild for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3624981

Please build it using system-wide waf (see "yum info waf" for details) of explain why it's necessary to use bundled version over system-wide one.

Comment 7 Brendan Jones 2012-01-06 16:48:11 UTC
Thanks for the review! I've come across this before - there is no Fedora packaging policy regarding waf (for good reason). waf upstream actually recommends bundling within the package - it was never designed to be like autotools. Backwards compatibility has never been a design requirement of waf.

Comment 8 Peter Lemenkov 2012-01-06 17:45:57 UTC
(In reply to comment #7)
> Thanks for the review! I've come across this before - there is no Fedora
> packaging policy regarding waf (for good reason). waf upstream actually
> recommends bundling within the package - it was never designed to be like
> autotools. Backwards compatibility has never been a design requirement of waf.

Ok, understood.

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

work ~/temp: rpmlint *
lv2-avw-plugins.src: I: enchant-dictionary-not-found en_US
lv2-avw-plugins.x86_64: E: incorrect-fsf-address /usr/share/doc/lv2-avw-plugins-0.0.5/COPYING

^^^ You should notice upstream about that but this is not a blocker. Also there is another licensing issue (see below).

3 packages and 0 specfiles checked; 1 errors, 0 warnings.
work ~/temp: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.

- The package looks like licensed with a Fedora approved license but it's unclear under which one exactly. The sources doesn't contain any traces of licensing headers, the attached COPYING contains GPLv2 and website claims that the software is licensed under GPLv3. Please ask upstream developer(s) about the exact licensing status of this software.

0 The file, containing the text of the license(s) for the package, is included in %doc. Well this is useless until previous issue is unresolved.

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

work ~/temp: sha256sum avw.lv2.0.0.5.tar.gz*
ae43e9b9ae8d7043b03d372e2ba4a54968c699309ea4a59f75a65313cd866850  avw.lv2.0.0.5.tar.gz
ae43e9b9ae8d7043b03d372e2ba4a54968c699309ea4a59f75a65313cd866850  avw.lv2.0.0.5.tar.gz.1
work ~/temp: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See Koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+/- The package does NOT bundle copies of system libraries (except waf, which is used only for building). Honestly I advise you try to build it with a system-wide copy.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application. Well, not a stand-alone GUI app. It doesn lonks against graphical libraries but it seems that it isn't intended to run from a user's desktop.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


Almost finished.
Please,

* Clarify licensing.
* Try to build it with system-wide waf.

And I will finish this review.

Comment 9 Brendan Jones 2012-01-09 14:34:22 UTC
OK, I have tried with system waf to no avail. It fails with on a dependency only present in the bundled waf script not in Fedora:
.waf-1.6.9-d91409dba2155c73b1f8394139b82995/waflib/autowaf.py
 
I have queried upstream about the license and will report back. Thanks.

Comment 10 Brendan Jones 2012-01-16 09:55:14 UTC
After discussion with upstream and some of the AMS authors it looks like the license for Alsa Modular synth was GPLv2 only, meaning that this must be GPLv2. Will provide upstream with the included FSF address patch

SPEC: http://bsjones.fedorapeople.org/lv2-avw-plugins.spec
SRPM: http://bsjones.fedorapeople.org/lv2-avw-plugins-0.0.6-2.fc16.src.rpm

Comment 11 Peter Lemenkov 2012-01-16 10:09:31 UTC
(In reply to comment #10)
> After discussion with upstream and some of the AMS authors it looks like the
> license for Alsa Modular synth was GPLv2 only, meaning that this must be GPLv2.
> Will provide upstream with the included FSF address patch
> 
> SPEC: http://bsjones.fedorapeople.org/lv2-avw-plugins.spec
> SRPM: http://bsjones.fedorapeople.org/lv2-avw-plugins-0.0.6-2.fc16.src.rpm

Ok, good. I can't see any other issues so this package is 

APPROVED.

Comment 12 Brendan Jones 2012-01-16 10:15:16 UTC
Thanks!

New Package SCM Request
=======================
Package Name: lv2-avw-plugins
Short Description: LV2 port of the Alsa Modular Synth modules
Owners: bsjones
Branches: f16
InitialCC:

Comment 13 Gwyn Ciesla 2012-01-16 16:59:58 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2012-01-16 19:46:59 UTC
lv2-avw-plugins-0.0.6-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lv2-avw-plugins-0.0.6-3.fc16

Comment 15 Fedora Update System 2012-01-17 20:28:57 UTC
Package lv2-avw-plugins-0.0.6-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lv2-avw-plugins-0.0.6-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0638/lv2-avw-plugins-0.0.6-3.fc16
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2012-02-10 21:53:44 UTC
lv2-avw-plugins-0.0.6-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.